From e993e0d98cd0ef1ecbd229f6ddbe23d59a427e3a Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Wed, 20 Mar 2024 11:40:34 +0200
Subject: [PATCH v5 26/26] reorder PruneFreezeResult fields

---
 src/include/access/heapam.h | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/include/access/heapam.h b/src/include/access/heapam.h
index ee0eca8ae02..b2015f5a1ac 100644
--- a/src/include/access/heapam.h
+++ b/src/include/access/heapam.h
@@ -202,14 +202,17 @@ typedef struct PruneFreezeResult
 	int			recently_dead_tuples;
 	int			ndeleted;		/* Number of tuples deleted from the page */
 	int			nnewlpdead;		/* Number of newly LP_DEAD items */
+	int			nfrozen;
+
 	bool		all_visible;	/* Whether or not the page is all visible */
 	bool		hastup;			/* Does page make rel truncation unsafe */
 
+	/* The following fields are only set if freezing */
+
 	/* Whether or not the page can be set all frozen in the VM */
 	bool		all_frozen;
 
 	/* Number of newly frozen tuples */
-	int			nfrozen;
 	TransactionId frz_conflict_horizon; /* Newest xmin on the page */
 
 	/* New value of relfrozenxid found by heap_page_prune_and_freeze() */
-- 
2.39.2

